Bug 1174023 - [abrt] calibre: exit(): python2.7 killed by SIGSEGV
Summary: [abrt] calibre: exit(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9ac295f384e47ccb3fc2ff38371...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-14 21:49 UTC by Vlad
Modified: 2015-09-08 20:21 UTC (History)
31 users (show)

Fixed In Version: calibre-2.22.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-02 15:34:50 UTC


Attachments (Terms of Use)
File: backtrace (22.11 KB, text/plain)
2014-12-14 21:49 UTC, Vlad
no flags Details
File: cgroup (190 bytes, text/plain)
2014-12-14 21:49 UTC, Vlad
no flags Details
File: core_backtrace (4.03 KB, text/plain)
2014-12-14 21:49 UTC, Vlad
no flags Details
File: dso_list (18.22 KB, text/plain)
2014-12-14 21:49 UTC, Vlad
no flags Details
File: environ (1.12 KB, text/plain)
2014-12-14 21:49 UTC, Vlad
no flags Details
File: exploitable (81 bytes, text/plain)
2014-12-14 21:49 UTC, Vlad
no flags Details
File: limits (1.29 KB, text/plain)
2014-12-14 21:49 UTC, Vlad
no flags Details
File: maps (90.06 KB, text/plain)
2014-12-14 21:49 UTC, Vlad
no flags Details
File: open_fds (624 bytes, text/plain)
2014-12-14 21:49 UTC, Vlad
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2014-12-14 21:49 UTC, Vlad
no flags Details
File: var_log_messages (29 bytes, text/plain)
2014-12-14 21:49 UTC, Vlad
no flags Details
ABRT screenshot (77.31 KB, image/png)
2015-04-18 10:57 UTC, 汪明衡
no flags Details

Description Vlad 2014-12-14 21:49:10 UTC
Version-Release number of selected component:
calibre-2.10.0-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 3
cmdline:        python2 /usr/bin/calibre-debug -c 'from calibre.gui2.splash import main; main()'
crash_function: exit
executable:     /usr/bin/python2.7
kernel:         3.17.6-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 3 (9 frames)
 #2 exit at exit.c:104
 #3 Py_Exit at /usr/src/debug/Python-2.7.8/Python/pythonrun.c:1794
 #4 handle_system_exit at /usr/src/debug/Python-2.7.8/Python/pythonrun.c:1166
 #6 PyErr_PrintEx at /usr/src/debug/Python-2.7.8/Python/pythonrun.c:1176
 #7 PyErr_Print at /usr/src/debug/Python-2.7.8/Python/pythonrun.c:1079
 #8 PyRun_SimpleFileExFlags at /usr/src/debug/Python-2.7.8/Python/pythonrun.c:967
 #9 PyRun_AnyFileExFlags at /usr/src/debug/Python-2.7.8/Python/pythonrun.c:767
 #10 Py_Main at /usr/src/debug/Python-2.7.8/Modules/main.c:640
 #12 _start

Comment 1 Vlad 2014-12-14 21:49:14 UTC
Created attachment 968682 [details]
File: backtrace

Comment 2 Vlad 2014-12-14 21:49:15 UTC
Created attachment 968683 [details]
File: cgroup

Comment 3 Vlad 2014-12-14 21:49:17 UTC
Created attachment 968684 [details]
File: core_backtrace

Comment 4 Vlad 2014-12-14 21:49:19 UTC
Created attachment 968685 [details]
File: dso_list

Comment 5 Vlad 2014-12-14 21:49:20 UTC
Created attachment 968686 [details]
File: environ

Comment 6 Vlad 2014-12-14 21:49:22 UTC
Created attachment 968687 [details]
File: exploitable

Comment 7 Vlad 2014-12-14 21:49:23 UTC
Created attachment 968688 [details]
File: limits

Comment 8 Vlad 2014-12-14 21:49:26 UTC
Created attachment 968689 [details]
File: maps

Comment 9 Vlad 2014-12-14 21:49:27 UTC
Created attachment 968690 [details]
File: open_fds

Comment 10 Vlad 2014-12-14 21:49:29 UTC
Created attachment 968691 [details]
File: proc_pid_status

Comment 11 Vlad 2014-12-14 21:49:30 UTC
Created attachment 968692 [details]
File: var_log_messages

Comment 12 Kevin Fenzi 2014-12-15 14:48:54 UTC
You were just exiting here? But running under debug?

Can you duplicate this every time? Or was it some one-off?

Comment 13 汪明衡 2014-12-16 00:05:15 UTC
It's surprising that this bug was just reported, because I almost experience this bug every time on Calibre launching since the day I updated to Fedora 21. I wanted to report it much earlier but every time there is an error reporting it. I've been seeing 'python 2.7 killed by SIGSEGV' many many times. I will provide more information if required.

Comment 14 Myroslav Opyr 2014-12-25 00:51:28 UTC
This is happening every time I try launching calibre. Here how it looks like when I try to launch it from console:

$ calibre
Segmentation fault (core dumped)

$ strace calibre
...
open("/usr/lib64/python2.7/site-packages/PyQt5/QtQuick.so", O_RDONLY|O_CLOEXEC) = 6
read(6, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`I\4\0\0\0\0\0"..., 832) = 832
fstat(6, {st_mode=S_IFREG|0644, st_size=8826536, ...}) = 0
mmap(NULL, 2992968, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 6, 0) = 0x7fd741228000
mprotect(0x7fd7412dd000, 2093056, PROT_NONE) = 0
mmap(0x7fd7414dc000, 147456, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 6, 0xb4000) = 0x7fd7414dc000
mmap(0x7fd741500000, 11080, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7fd741500000
close(6)                                = 0
mprotect(0x7fd7414dc000, 73728, PROT_READ) = 0
--- SIGSEGV {si_signo=SIGSEGV, si_code=SEGV_MAPERR, si_addr=0xb3626} ---
+++ killed by SIGSEGV (core dumped) +++

Comment 15 Kevin Fenzi 2014-12-26 17:49:22 UTC
Can you please try the version in updates?

ie, yum update calibre

Should get you calibre-2.12.0-1.fc21.

Comment 16 汪明衡 2014-12-27 01:29:20 UTC
(In reply to Kevin Fenzi from comment #15)
> Can you please try the version in updates?
> 
> ie, yum update calibre
> 
> Should get you calibre-2.12.0-1.fc21.

Hi, with calibre-2.12.0-1.fc21.x86_64 installed I now don't get this bug anymore.

Comment 17 Kevin Fenzi 2014-12-27 03:23:24 UTC
great. :)

Comment 18 Myroslav Opyr 2014-12-27 10:28:23 UTC
My calibre-2.12.0-1.fc21.x86_64 still segfaults...

Comment 19 Kevin Fenzi 2014-12-28 00:19:47 UTC
(In reply to Myroslav Opyr from comment #18)
> My calibre-2.12.0-1.fc21.x86_64 still segfaults...

Have you applied all other updates (in particular the other qt5 package updates)?

Comment 20 Krzysztof Klimonda 2014-12-28 21:50:22 UTC
I just had this crash when I launched calibre (it must be one of its helper processes because the UI itself was running just fine, and I only got an abrt popup). My package versions are as follow:

$ rpm -qa |egrep "(^calibre|^qt5|^python-qt5)"
qt5-qtxmlpatterns-5.4.0-1.fc21.x86_64
qt5-qttools-libs-designer-5.4.0-1.fc21.x86_64
qt5-qtbase-5.4.0-2.fc21.x86_64
qt5-qtdeclarative-5.4.0-1.fc21.x86_64
qt5-qttools-common-5.4.0-1.fc21.noarch
qt5-qtwebkit-5.4.0-1.fc21.x86_64
python-qt5-5.3.2-6.fc21.x86_64
qt5-qtbase-gui-5.4.0-2.fc21.x86_64
qt5-qtlocation-5.4.0-1.fc21.x86_64
calibre-2.12.0-1.fc21.x86_64
qt5-qttools-5.4.0-1.fc21.x86_64
qt5-qtsvg-5.4.0-1.fc21.x86_64
qt5-qtsensors-5.4.0-1.fc21.x86_64

Comment 21 汪明衡 2014-12-29 02:17:38 UTC
Seems useful to provide info of mine, since I'm only one here see no more crash.

[ifoolb@y400 ~]$ yum deplist calibre
Loaded plugins: langpacks
package: calibre.x86_64 2.12.0-1.fc21
  dependency: /bin/sh
   provider: bash.x86_64 4.3.30-2.fc21
  dependency: /usr/bin/env
   provider: coreutils.x86_64 8.22-19.fc21
  dependency: ImageMagick
   provider: ImageMagick.x86_64 6.8.8.10-5.fc21
  dependency: libEGL.so.1()(64bit)
   provider: mesa-libEGL.x86_64 10.4.0-4.20141214.fc21
  dependency: libGL.so.1()(64bit)
   provider: mesa-libGL.x86_64 10.4.0-4.20141214.fc21
  dependency: libMagickCore-6.Q16.so.2()(64bit)
   provider: ImageMagick-libs.x86_64 6.8.8.10-5.fc21
  dependency: libMagickWand-6.Q16.so.2()(64bit)
   provider: ImageMagick-libs.x86_64 6.8.8.10-5.fc21
  dependency: libQt5Core.so.5()(64bit)
   provider: qt5-qtbase.x86_64 5.4.0-2.fc21
  dependency: libQt5DBus.so.5()(64bit)
   provider: qt5-qtbase.x86_64 5.4.0-2.fc21
  dependency: libQt5Gui.so.5()(64bit)
   provider: qt5-qtbase-gui.x86_64 5.4.0-2.fc21
  dependency: libQt5Widgets.so.5()(64bit)
   provider: qt5-qtbase-gui.x86_64 5.4.0-2.fc21
  dependency: libX11.so.6()(64bit)
   provider: libX11.x86_64 1.6.2-2.fc21
  dependency: libXext.so.6()(64bit)
   provider: libXext.x86_64 1.3.3-2.fc21
  dependency: libXrender.so.1()(64bit)
   provider: libXrender.x86_64 0.9.8-4.fc21
  dependency: libc.so.6(GLIBC_2.7)(64bit)
   provider: glibc.x86_64 2.20-5.fc21
  dependency: libchm.so.0()(64bit)
   provider: chmlib.x86_64 0.40-10.fc21
  dependency: liberation-mono-fonts
   provider: liberation-mono-fonts.noarch 1:1.07.4-4.fc21
  dependency: liberation-sans-fonts
   provider: liberation-sans-fonts.noarch 1:1.07.4-4.fc21
  dependency: liberation-serif-fonts
   provider: liberation-serif-fonts.noarch 1:1.07.4-4.fc21
  dependency: libfontconfig.so.1()(64bit)
   provider: fontconfig.x86_64 2.11.1-5.fc21
  dependency: libfreetype.so.6()(64bit)
   provider: freetype-freeworld.x86_64 2.5.3-3.fc21
   provider: freetype.x86_64 2.5.3-13.fc21
  dependency: libgcc_s.so.1()(64bit)
   provider: libgcc.x86_64 4.9.2-1.fc21
  dependency: libgcc_s.so.1(GCC_3.0)(64bit)
   provider: libgcc.x86_64 4.9.2-1.fc21
  dependency: libglib-2.0.so.0()(64bit)
   provider: glib2.x86_64 2.42.1-1.fc21
  dependency: libgthread-2.0.so.0()(64bit)
   provider: glib2.x86_64 2.42.1-1.fc21
  dependency: libicudata.so.52()(64bit)
   provider: libicu.x86_64 52.1-4.fc21
  dependency: libicui18n.so.52()(64bit)
   provider: libicu.x86_64 52.1-4.fc21
  dependency: libicuio.so.52()(64bit)
   provider: libicu.x86_64 52.1-4.fc21
  dependency: libicuuc.so.52()(64bit)
   provider: libicu.x86_64 52.1-4.fc21
  dependency: libm.so.6()(64bit)
   provider: glibc.x86_64 2.20-5.fc21
  dependency: libm.so.6(GLIBC_2.2.5)(64bit)
   provider: glibc.x86_64 2.20-5.fc21
  dependency: libmtp.so.9()(64bit)
   provider: libmtp.x86_64 1.1.8-1.fc21
  dependency: libpodofo.so.0.9.1()(64bit)
   provider: podofo-libs.x86_64 0.9.1-16.fc21
  dependency: libpthread.so.0()(64bit)
   provider: glibc.x86_64 2.20-5.fc21
  dependency: libpython2.7.so.1.0()(64bit)
   provider: python-libs.x86_64 2.7.8-7.fc21
  dependency: libstdc++.so.6()(64bit)
   provider: libstdc++.x86_64 4.9.2-1.fc21
  dependency: libstdc++.so.6(CXXABI_1.3)(64bit)
   provider: libstdc++.x86_64 4.9.2-1.fc21
  dependency: libstdc++.so.6(GLIBCXX_3.4)(64bit)
   provider: libstdc++.x86_64 4.9.2-1.fc21
  dependency: libudev.so.1()(64bit)
   provider: systemd-libs.x86_64 216-12.fc21
  dependency: libusb-1.0.so.0()(64bit)
   provider: libusbx.x86_64 1.0.19-2.fc21
  dependency: libz.so.1()(64bit)
   provider: zlib.x86_64 1.2.8-7.fc21
  dependency: libz.so.1(ZLIB_1.2.0)(64bit)
   provider: zlib.x86_64 1.2.8-7.fc21
  dependency: mathjax
   provider: mathjax.noarch 2.4.0-1.fc21
  dependency: odfpy
   provider: odfpy.noarch 0.9.6-2.fc21
  dependency: poppler-utils
   provider: poppler-utils.x86_64 0.26.2-3.fc21
  dependency: python(abi) = 2.7
   provider: python.x86_64 2.7.8-7.fc21
   provider: python.i686 2.7.8-7.fc21
  dependency: python-BeautifulSoup
   provider: python-BeautifulSoup.noarch 1:3.2.1-8.fc21
  dependency: python-apsw
   provider: python-apsw.x86_64 3.8.4.3.r1-4.fc21
  dependency: python-cherrypy
   provider: python-cherrypy.noarch 3.2.2-6.fc21
  dependency: python-cssselect
   provider: python-cssselect.noarch 0.9.1-4.fc21
  dependency: python-cssutils
   provider: python-cssutils.noarch 0.9.9-5.fc21
  dependency: python-dateutil
   provider: python-dateutil.noarch 1:1.5-0.fc21
  dependency: python-dns
   provider: python-dns.noarch 1.11.1-4.fc21
  dependency: python-feedparser
   provider: python-feedparser.noarch 5.1.3-7.fc21
  dependency: python-genshi
   provider: python-genshi.x86_64 0.7-7.fc21
  dependency: python-imaging
   provider: python-pillow.x86_64 2.6.1-1.fc21
   provider: python-pillow.i686 2.6.1-1.fc21
  dependency: python-lxml
   provider: python-lxml.x86_64 3.3.6-1.fc21
  dependency: python-mechanize
   provider: python-mechanize.noarch 0.2.5-8.fc21
  dependency: python-netifaces
   provider: python-netifaces.x86_64 0.5-8.fc21
  dependency: python-qt5
   provider: python-qt5.x86_64 5.3.2-6.fc21
   provider: python-qt5.i686 5.3.2-6.fc21
  dependency: qt5-qtsvg
   provider: qt5-qtsvg.x86_64 5.4.0-1.fc21
   provider: qt5-qtsvg.i686 5.4.0-1.fc21
  dependency: qt5-qtwebkit
   provider: qt5-qtwebkit.x86_64 5.4.0-1.fc21
   provider: qt5-qtwebkit.i686 5.4.0-1.fc21
  dependency: rtld(GNU_HASH)
   provider: glibc.x86_64 2.20-5.fc21
   provider: glibc.i686 2.20-5.fc21
  dependency: sip-api(11) >= 11.1
   provider: sip.x86_64 4.16.4-1.fc21
   provider: sip.i686 4.16.4-1.fc21
[ifoolb@y400 ~]$ calibre
libpng warning: iCCP: Not recognizing known sRGB profile that has been edited
Using blocking call!

Comment 22 Myroslav Opyr 2015-01-02 19:05:19 UTC
I did update everything system reported me to update. Here is output of commands on my system:

$ rpm -qa |egrep "(^calibre|^qt5|^python-qt5)" | sort
calibre-2.12.0-1.fc21.x86_64
python-qt5-5.3.2-6.fc21.x86_64
qt5-qtbase-5.4.0-2.fc21.x86_64
qt5-qtbase-gui-5.4.0-2.fc21.x86_64
qt5-qtdeclarative-5.3.2-1.fc21.x86_64
qt5-qtlocation-5.4.0-1.fc21.x86_64
qt5-qtsensors-5.4.0-1.fc21.x86_64
qt5-qtsvg-5.4.0-1.fc21.x86_64
qt5-qttools-common-5.4.0-1.fc21.noarch
qt5-qttools-libs-designer-5.4.0-1.fc21.x86_64
qt5-qtwebkit-5.4.0-1.fc21.x86_64
qt5-qtxmlpatterns-5.3.2-1.fc21.x86_64

$ yum deplist calibre
Loaded plugins: langpacks
package: calibre.x86_64 2.12.0-1.fc21
  dependency: /bin/sh
   provider: bash.x86_64 4.3.30-2.fc21
  dependency: /usr/bin/env
   provider: coreutils.x86_64 8.22-19.fc21
  dependency: ImageMagick
   provider: ImageMagick.x86_64 6.8.8.10-5.fc21
  dependency: libEGL.so.1()(64bit)
   provider: mesa-libEGL.x86_64 10.4.0-4.20141214.fc21
  dependency: libGL.so.1()(64bit)
   provider: mesa-libGL.x86_64 10.4.0-4.20141214.fc21
  dependency: libMagickCore-6.Q16.so.2()(64bit)
   provider: ImageMagick-libs.x86_64 6.8.8.10-5.fc21
  dependency: libMagickWand-6.Q16.so.2()(64bit)
   provider: ImageMagick-libs.x86_64 6.8.8.10-5.fc21
  dependency: libQt5Core.so.5()(64bit)
   provider: qt5-qtbase.x86_64 5.4.0-2.fc21
  dependency: libQt5DBus.so.5()(64bit)
   provider: qt5-qtbase.x86_64 5.4.0-2.fc21
  dependency: libQt5Gui.so.5()(64bit)
   provider: qt5-qtbase-gui.x86_64 5.4.0-2.fc21
  dependency: libQt5Widgets.so.5()(64bit)
   provider: qt5-qtbase-gui.x86_64 5.4.0-2.fc21
  dependency: libX11.so.6()(64bit)
   provider: libX11.x86_64 1.6.2-2.fc21
  dependency: libXext.so.6()(64bit)
   provider: libXext.x86_64 1.3.3-2.fc21
  dependency: libXrender.so.1()(64bit)
   provider: libXrender.x86_64 0.9.8-4.fc21
  dependency: libc.so.6(GLIBC_2.7)(64bit)
   provider: glibc.x86_64 2.20-5.fc21
  dependency: libchm.so.0()(64bit)
   provider: chmlib.x86_64 0.40-10.fc21
  dependency: liberation-mono-fonts
   provider: liberation-mono-fonts.noarch 1:1.07.4-4.fc21
  dependency: liberation-sans-fonts
   provider: liberation-sans-fonts.noarch 1:1.07.4-4.fc21
  dependency: liberation-serif-fonts
   provider: liberation-serif-fonts.noarch 1:1.07.4-4.fc21
  dependency: libfontconfig.so.1()(64bit)
   provider: fontconfig.x86_64 2.11.1-5.fc21
  dependency: libfreetype.so.6()(64bit)
   provider: freetype-freeworld.x86_64 2.5.3-3.fc21
   provider: freetype.x86_64 2.5.3-13.fc21
  dependency: libgcc_s.so.1()(64bit)
   provider: libgcc.x86_64 4.9.2-1.fc21
  dependency: libgcc_s.so.1(GCC_3.0)(64bit)
   provider: libgcc.x86_64 4.9.2-1.fc21
  dependency: libglib-2.0.so.0()(64bit)
   provider: glib2.x86_64 2.42.1-1.fc21
  dependency: libgthread-2.0.so.0()(64bit)
   provider: glib2.x86_64 2.42.1-1.fc21
  dependency: libicudata.so.52()(64bit)
   provider: libicu.x86_64 52.1-4.fc21
  dependency: libicui18n.so.52()(64bit)
   provider: libicu.x86_64 52.1-4.fc21
  dependency: libicuio.so.52()(64bit)
   provider: libicu.x86_64 52.1-4.fc21
  dependency: libicuuc.so.52()(64bit)
   provider: libicu.x86_64 52.1-4.fc21
  dependency: libm.so.6()(64bit)
   provider: glibc.x86_64 2.20-5.fc21
  dependency: libm.so.6(GLIBC_2.2.5)(64bit)
   provider: glibc.x86_64 2.20-5.fc21
  dependency: libmtp.so.9()(64bit)
   provider: libmtp.x86_64 1.1.8-1.fc21
  dependency: libpodofo.so.0.9.1()(64bit)
   provider: podofo-libs.x86_64 0.9.1-16.fc21
  dependency: libpthread.so.0()(64bit)
   provider: glibc.x86_64 2.20-5.fc21
  dependency: libpython2.7.so.1.0()(64bit)
   provider: python-libs.x86_64 2.7.8-7.fc21
  dependency: libstdc++.so.6()(64bit)
   provider: libstdc++.x86_64 4.9.2-1.fc21
  dependency: libstdc++.so.6(CXXABI_1.3)(64bit)
   provider: libstdc++.x86_64 4.9.2-1.fc21
  dependency: libstdc++.so.6(GLIBCXX_3.4)(64bit)
   provider: libstdc++.x86_64 4.9.2-1.fc21
  dependency: libudev.so.1()(64bit)
   provider: systemd-libs.x86_64 216-12.fc21
  dependency: libusb-1.0.so.0()(64bit)
   provider: libusbx.x86_64 1.0.19-2.fc21
  dependency: libz.so.1()(64bit)
   provider: zlib.x86_64 1.2.8-7.fc21
  dependency: libz.so.1(ZLIB_1.2.0)(64bit)
   provider: zlib.x86_64 1.2.8-7.fc21
  dependency: mathjax
   provider: mathjax.noarch 2.4.0-1.fc21
  dependency: odfpy
   provider: odfpy.noarch 0.9.6-2.fc21
  dependency: poppler-utils
   provider: poppler-utils.x86_64 0.26.2-3.fc21
  dependency: python(abi) = 2.7
   provider: python.x86_64 2.7.8-7.fc21
   provider: python.i686 2.7.8-7.fc21
  dependency: python-BeautifulSoup
   provider: python-BeautifulSoup.noarch 1:3.2.1-8.fc21
  dependency: python-apsw
   provider: python-apsw.x86_64 3.8.4.3.r1-4.fc21
  dependency: python-cherrypy
   provider: python-cherrypy.noarch 3.2.2-6.fc21
  dependency: python-cssselect
   provider: python-cssselect.noarch 0.9.1-4.fc21
  dependency: python-cssutils
   provider: python-cssutils.noarch 0.9.9-5.fc21
  dependency: python-dateutil
   provider: python-dateutil.noarch 1:1.5-0.fc21
  dependency: python-dns
   provider: python-dns.noarch 1.11.1-4.fc21
  dependency: python-feedparser
   provider: python-feedparser.noarch 5.1.3-7.fc21
  dependency: python-genshi
   provider: python-genshi.x86_64 0.7-7.fc21
  dependency: python-imaging
   provider: python-pillow.x86_64 2.6.1-1.fc21
   provider: python-pillow.i686 2.6.1-1.fc21
  dependency: python-lxml
   provider: python-lxml.x86_64 3.3.6-1.fc21
  dependency: python-mechanize
   provider: python-mechanize.noarch 0.2.5-8.fc21
  dependency: python-netifaces
   provider: python-netifaces.x86_64 0.5-8.fc21
  dependency: python-qt5
   provider: python-qt5.x86_64 5.3.2-6.fc21
   provider: python-qt5.i686 5.3.2-6.fc21
  dependency: qt5-qtsvg
   provider: qt5-qtsvg.x86_64 5.4.0-1.fc21
   provider: qt5-qtsvg.i686 5.4.0-1.fc21
  dependency: qt5-qtwebkit
   provider: qt5-qtwebkit.x86_64 5.4.0-1.fc21
   provider: qt5-qtwebkit.i686 5.4.0-1.fc21
  dependency: rtld(GNU_HASH)
   provider: glibc.x86_64 2.20-5.fc21
   provider: glibc.i686 2.20-5.fc21
  dependency: sip-api(11) >= 11.1
   provider: sip.x86_64 4.16.4-1.fc21
   provider: sip.i686 4.16.4-1.fc21

$ calibre
Segmentation fault (core dumped)

Comment 23 Rex Dieter 2015-03-03 00:33:18 UTC
I can reproduce this too.

Looks like calibre is using some private Qt5 (and/or python-qt5) interfaces, so this gets fragile/crashy whenever either qt5 or python-qt5 bindings see bug fix updates. :-/

I'll take a closer look soon (hopefully by tomorrow)

Comment 24 Fedora Update System 2015-03-30 14:09:16 UTC
calibre-2.22.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/calibre-2.22.0-1.fc21

Comment 25 Fedora Update System 2015-03-31 21:49:09 UTC
Package calibre-2.22.0-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing calibre-2.22.0-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5132/calibre-2.22.0-1.fc21
then log in and leave karma (feedback).

Comment 26 Fedora Update System 2015-04-02 15:34:50 UTC
calibre-2.22.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 汪明衡 2015-04-18 10:57:25 UTC
Created attachment 1015865 [details]
ABRT screenshot

Well, I think I need to correct myself, since I do find this bug shows in ABRT again, even though I don't see anything unusual with calibre. I'm running calibre-2.23.0-1.fc21, because this bug is already reported, I can't upload any data through ABRT, what do I need to do now?

Comment 28 Kevin Fenzi 2015-04-19 19:00:11 UTC
So, it's showing up in abrt, but it hasn't crashed that you can tell?

Could the abrt report be just an old crash?

Comment 29 汪明衡 2015-04-20 02:20:37 UTC
ABRT icon did show at gnome shell bottom tray, and also it is the newest version at the time I wrote. What I mean by not seeing calibre crash or something is that I haven't seen calibre, at least the UI part, quit unexpectedly or be malfunctional since last time I pasted the dependency list, and that's why I thought it was fixed already. A long time after that every time when I notice ABRT icon at gnome shell tray I already closed calibre normally. I don't have time to try to debug calibre on my machine so I can't determine what causes the SIGSEGV being sent.

Comment 30 汪明衡 2015-04-21 14:07:33 UTC
Look, ABRT just caught a possible duplicate of this bug. https://bugzilla.redhat.com/show_bug.cgi?id=1213900
I said this bug really happened.

Comment 31 Kevin Fenzi 2015-04-21 16:46:15 UTC
I didn't doubt you, just wanted more information. ;) Will take a look at the new bug... thanks.


Note You need to log in before you can comment on or make changes to this bug.